| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::SearchesDBJobInfo Class Reference
Inheritance diagram for Digikam::SearchesDBJobInfo:

## Public Member Functions
| SearchesDBJobInfo (QList< int > &&searchIds)
| SearchesDBJobInfo (QSet< qlonglong > &&imageIds, bool isAlbumUpdate, HaarIface::RefImageSelMethod referenceSelectionMethod, QSet< qlonglong > &&refImageIds)
const QSet< qlonglong > & | imageIds () const
bool | isAlbumUpdate () const
bool | isDuplicatesJob () const
double | maxThreshold () const
double | minThreshold () const
const QSet< qlonglong > & | refImageIds () const
HaarIface::RefImageSelMethod | refImageSelectionMethod () const
const QList< int > & | searchIds () const
int | searchResultRestriction () const
void | setMaxThreshold (double t)
void | setMinThreshold (double t)
void | setSearchResultRestriction (int type)
Public Member Functions inherited from Digikam::DBJobInfo
bool | isFoldersJob () const
bool | isListAvailableImagesOnly () const
bool | isRecursive () const
void | setFoldersJob ()
void | setListAvailableImagesOnly ()
void | setRecursive ()

## Public Attributes
bool | m_albumUpdate = false
bool | m_duplicates = false
QSet< qlonglong > | m_imageIds
double | m_maxThreshold = 1.0
double | m_minThreshold = 0.4
QSet< qlonglong > | m_refImageIds
| Image ids of the reference images if duplicates are available.
HaarIface::RefImageSelMethod | m_refImageSelectionMethod = HaarIface::RefImageSelMethod::OlderOrLarger
QList< int > | m_searchIds
int | m_searchResultRestriction = 0